﻿using System;
using System.Collections.Generic;
using System.IO;

namespace GetAreaTest
{
	class Program
	{
		static void Main(string[] args)
		{
			string ingeojson = GetInputJson();

			List<Dictionary<String, String>> table = FeatureCollectionUtility.GetFeatureProperties(ingeojson, true);

			foreach (Dictionary<String, String> row in table)
			{
				Console.WriteLine($"Feature {row["ID"]} area: {row["Area"]} sq-m.");
			}
			Console.WriteLine("Press any key to exit...");
			Console.ReadLine();
		}

		protected static string GetInputJson()
		{
			var exepath = System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetEntryAssembly().Location);
			var basepath = Path.GetFullPath(Path.Combine(exepath, @"..\..\"));
			var path = Path.Combine(basepath, "TestData/zones_wgs84.geojson");

			if (!File.Exists(path))
			{
				throw new FileNotFoundException("Geojson file not found at " + path);
			}

			return File.ReadAllText(path);
		}
	}
}
